

using System.Xml.Serialization;

namespace NewRock.Sdk.Control.Response
{
    [XmlRoot("Status")]
    public class QueryTrunkResponse:NewRockResponse
    {
        [XmlElement("trunk")]
        public QueryTrunkTrunkResponse Trunk { get; set; }
    }

    public class QueryTrunkTrunkResponse
    {
        [XmlAttribute("id")]
        public string Id { get; set; }

        [XmlElement("lineid")]
        public string LineId { get; set; }

        [XmlElement("state")]
        public string State { get; set; }

        [XmlElement("visitor")]
        public QueryTrunkVisitor Visitor { get; set; }
    }

    public class QueryTrunkVisitor
    {
        [XmlAttribute("id")]
        public string Id { get; set; }

        [XmlAttribute("from")]
        public string From { get; set; }

        [XmlAttribute("to")]
        public string To { get; set; }

        [XmlAttribute("callid")]
        public string CallId { get; set; }

        [XmlElement("state")]
        public string State { get; set; }
    }

}
